{
	"name": "lib/convert/cad-tag.json",
	"allowed_tag": ["type", "name", "description"],
	"not_allowed_tag": {
		"APPID": ["bitsize", "index", "is_xref_dep", "is_xref_ref", "is_xref_resolved", "object", "size", "unknown", "handle", "ownerhandle", "xref"],
		"APPID_CONTROL": ["bitsize", "index", "object", "size", "entries", "handle", "ownerhandle"],
		"BLOCK": [
			"_subclass",
			"bitsize",
			"color",
			"entity",
			"entmode",
			"index",
			"invisible",
			"linewt",
			"ltype_flags",
			"ltype_scale",
			"nolinks",
			"plotstyle_flags",
			"preview_exists",
			"size",
			"base_pt",
			"handle",
			"layer",
			"next_entity",
			"ownerhandle",
			"prev_entity"
		],
		"BLOCK_CONTROL": ["bitsize", "index", "object", "size", "entries", "handle", "model_space", "ownerhandle", "paper_space"],
		"BLOCK_HEADER": [
			"layout",
			"anonymous",
			"bitsize",
			"blkisxref",
			"hasattrs",
			"index",
			"is_xref_dep",
			"is_xref_ref",
			"is_xref_resolved",
			"loaded_bit",
			"object",
			"preview",
			"size",
			"xref_pname",
			"xrefoverlaid",
			"base_pt",
			"block_entity",
			"endblk_entity",
			"first_entity",
			"handle",
			"inserts",
			"last_entity",
			"ownerhandle",
			"xref"
		],
		"CELLSTYLEMAP": ["_subclass", "bitsize", "index", "object", "size", "cells", "handle", "ownerhandle", "reactors"],
		"CELLSTYLEMAP.cells": [
			"id",
			"cellstyle.content_format.block_scale",
			"cellstyle.content_format.cell_alignment",
			"cellstyle.content_format.property_flags",
			"cellstyle.content_format.property_override_flags",
			"cellstyle.content_format.rotation",
			"cellstyle.content_format.text_height",
			"cellstyle.content_format.value_data_type",
			"cellstyle.content_format.value_format_string",
			"cellstyle.content_format.value_unit_type",
			"cellstyle.content_layout",
			"cellstyle.data_flags",
			"cellstyle.margin_override_flags",
			"cellstyle.merge_flags",
			"cellstyle.num_borders",
			"cellstyle.property_override_flags",
			"cellstyle.type",
			"cellstyle.bg_color",
			"cellstyle.content_format.content_color",
			"cellstyle.content_format.text_style"
		],
		"DICTIONARY": ["bitsize", "cloning", "index", "is_hardowner", "numitems", "object", "size", "handle", "items", "ownerhandle", "reactors"],
		"DICTIONARYVAR": ["_subclass", "bitsize", "index", "object", "schema", "size", "strvalue", "handle", "ownerhandle", "reactors"],
		"DICTIONARYWDFLT": [
			"_subclass",
			"bitsize",
			"cloning",
			"dxfname",
			"index",
			"is_hardowner",
			"numitems",
			"object",
			"size",
			"defaultid",
			"handle",
			"items",
			"ownerhandle",
			"reactors"
		],
		"DIMSTYLE": [
			"DIMADEC",
			"DIMALT",
			"DIMALTD",
			"DIMALTF",
			"DIMALTRND",
			"DIMALTTD",
			"DIMALTTZ",
			"DIMALTU",
			"DIMALTZ",
			"DIMAPOST",
			"DIMASZ",
			"DIMATFIT",
			"DIMAUNIT",
			"DIMAZIN",
			"DIMCEN",
			"DIMCLRD",
			"DIMCLRE",
			"DIMCLRT",
			"DIMDEC",
			"DIMDLE",
			"DIMDLI",
			"DIMDSEP",
			"DIMEXE",
			"DIMEXO",
			"DIMFRAC",
			"DIMGAP",
			"DIMJUST",
			"DIMLFAC",
			"DIMLIM",
			"DIMLUNIT",
			"DIMLWD",
			"DIMLWE",
			"DIMPOST",
			"DIMRND",
			"DIMSAH",
			"DIMSCALE",
			"DIMSD1",
			"DIMSD2",
			"DIMSE1",
			"DIMSE2",
			"DIMSOXD",
			"DIMTAD",
			"DIMTDEC",
			"DIMTFAC",
			"DIMTIH",
			"DIMTIX",
			"DIMTM",
			"DIMTMOVE",
			"DIMTOFL",
			"DIMTOH",
			"DIMTOL",
			"DIMTOLJ",
			"DIMTP",
			"DIMTSZ",
			"DIMTVP",
			"DIMTXT",
			"DIMTZIN",
			"DIMUPT",
			"DIMZIN",
			"bitsize",
			"flag0",
			"index",
			"is_xref_dep",
			"is_xref_ref",
			"is_xref_resolved",
			"object",
			"size",
			"DIMBLK",
			"DIMBLK1",
			"DIMBLK2",
			"DIMLDRBLK",
			"DIMTXSTY",
			"eed",
			"handle",
			"ownerhandle",
			"reactors",
			"xref"
		],
		"DIMSTYLE_CONTROL": ["_subclass", "bitsize", "index", "object", "size", "entries", "handle", "morehandles", "ownerhandle"],
		"ENDBLK": [
			"_subclass",
			"bitsize",
			"color",
			"entity",
			"entmode",
			"index",
			"invisible",
			"linewt",
			"ltype_flags",
			"ltype_scale",
			"nolinks",
			"plotstyle_flags",
			"preview_exists",
			"size",
			"handle",
			"layer",
			"next_entity",
			"ownerhandle",
			"prev_entity",
			"plotstyle"
		],
		"LAYER": [
			"bitsize",
			"color",
			"flag0",
			"index",
			"is_xref_dep",
			"is_xref_ref",
			"is_xref_resolved",
			"linewt",
			"object",
			"size",
			"handle",
			"ltype",
			"ownerhandle",
			"plotstyle",
			"xref"
		],
		"LAYER_CONTROL": ["bitsize", "index", "object", "size", "entries", "handle", "ownerhandle"],
		"LAYOUT": [
			"UCSORTHOVIEW",
			"_subclass",
			"bitsize",
			"index",
			"layout_flags",
			"layout_name",
			"object",
			"plotsettings.bottom_margin",
			"plotsettings.canonical_media_name",
			"plotsettings.drawing_units",
			"plotsettings.left_margin",
			"plotsettings.paper_height",
			"plotsettings.paper_size",
			"plotsettings.paper_units",
			"plotsettings.paper_width",
			"plotsettings.plot_flags",
			"plotsettings.plot_paper_unit",
			"plotsettings.plot_rotation_mode",
			"plotsettings.plot_type",
			"plotsettings.plotview_name",
			"plotsettings.printer_cfg_file",
			"plotsettings.right_margin",
			"plotsettings.std_scale_factor",
			"plotsettings.std_scale_type",
			"plotsettings.stylesheet",
			"plotsettings.top_margin",
			"size",
			"tab_order",
			"ucs_elevation",
			"EXTMAX",
			"EXTMIN",
			"INSBASE",
			"LIMMAX",
			"LIMMIN",
			"UCSORG",
			"UCSXDIR",
			"UCSYDIR",
			"active_viewport",
			"base_ucs",
			"block_header",
			"handle",
			"named_ucs",
			"ownerhandle",
			"plotsettings.paper_image_origin",
			"plotsettings.plot_origin",
			"plotsettings.plot_window_ll",
			"plotsettings.plot_window_ur",
			"reactors",
			"xdicobjhandle"
		],
		"LTYPE": [
			"alignment",
			"bitsize",
			"index",
			"is_xref_dep",
			"is_xref_ref",
			"is_xref_resolved",
			"numdashes",
			"object",
			"pattern_len",
			"size",
			"strings_area",
			"dashes",
			"handle",
			"ownerhandle",
			"xref"
		],
		"LTYPE.dashes": ["length", "complex_shapecode", "rotation", "scale", "shape_flag", "x_offset", "y_offset", "style"],
		"LTYPE_CONTROL": ["bitsize", "index", "object", "size", "byblock", "bylayer", "entries", "handle", "ownerhandle"],
		"MATERIAL": [
			"_subclass",
			"ambient_color.factor",
			"ambient_color.flag",
			"bitsize",
			"bumpmap.autotransform",
			"bumpmap.blendfactor",
			"bumpmap.projection",
			"bumpmap.source",
			"bumpmap.tiling",
			"diffuse_color.factor",
			"diffuse_color.flag",
			"diffusemap.autotransform",
			"diffusemap.blendfactor",
			"diffusemap.projection",
			"diffusemap.source",
			"diffusemap.tiling",
			"index",
			"object",
			"opacity_percent",
			"opacitymap.autotransform",
			"opacitymap.blendfactor",
			"opacitymap.projection",
			"opacitymap.source",
			"opacitymap.tiling",
			"reflectionmap.autotransform",
			"reflectionmap.blendfactor",
			"reflectionmap.projection",
			"reflectionmap.source",
			"reflectionmap.tiling",
			"refraction_index",
			"refractionmap.blendfactor",
			"refractionmap.projection",
			"refractionmap.source",
			"refractionmap.tiling",
			"size",
			"specular_color.factor",
			"specular_color.flag",
			"specular_gloss_factor",
			"specularmap.autotransform",
			"specularmap.blendfactor",
			"specularmap.projection",
			"specularmap.source",
			"specularmap.tiling",
			"bumpmap.transmatrix",
			"diffusemap.transmatrix",
			"handle",
			"opacitymap.transmatrix",
			"ownerhandle",
			"reactors",
			"reflectionmap.transmatrix",
			"refractionmap.transmatrix",
			"specularmap.transmatrix",
			"xdicobjhandle"
		],
		"MLEADERSTYLE": [
			"_subclass",
			"align_space",
			"arrow_head_size",
			"attach_left",
			"attach_right",
			"bitsize",
			"block_color",
			"block_connection",
			"block_rotation",
			"break_size",
			"class_version",
			"content_type",
			"first_seg_angle",
			"has_dogleg",
			"has_landing",
			"has_text_frame",
			"index",
			"is_annotative",
			"is_changed",
			"landing_dist",
			"landing_gap",
			"leader_order",
			"line_color",
			"linewt",
			"max_points",
			"mleader_order",
			"object",
			"scale",
			"second_seg_angle",
			"size",
			"text_align_type",
			"text_always_left",
			"text_angle_type",
			"text_color",
			"text_default",
			"text_height",
			"use_block_rotation",
			"use_block_scale",
			"arrow_head",
			"block",
			"block_scale",
			"eed",
			"handle",
			"line_type",
			"ownerhandle",
			"reactors",
			"text_style"
		],
		"MLINESTYLE": ["_subclass", "bitsize", "end_angle", "fill_color", "flag", "index", "object", "size", "start_angle", "handle", "lines", "ownerhandle", "reactors"],
		"MLINESTYLE.lines": ["color", "lt.index", "offset"],
		"PLACEHOLDER": ["bitsize", "dxfname", "index", "object", "size", "handle", "ownerhandle", "reactors"],
		"SCALE": ["_subclass", "bitsize", "drawing_units", "flag", "index", "is_unit_scale", "object", "paper_units", "size", "handle", "ownerhandle", "reactors"],
		"SEQEND": [
			"_subclass",
			"bitsize",
			"color",
			"entity",
			"entmode",
			"index",
			"invisible",
			"linewt",
			"ltype_flags",
			"ltype_scale",
			"nolinks",
			"plotstyle_flags",
			"preview_exists",
			"size",
			"handle",
			"layer",
			"next_entity",
			"ownerhandle",
			"plotstyle",
			"prev_entity"
		],
		"STYLE": [
			"bigfont_file",
			"bitsize",
			"font_file",
			"generation",
			"index",
			"is_shape",
			"is_vertical",
			"is_xref_dep",
			"is_xref_ref",
			"is_xref_resolved",
			"last_height",
			"object",
			"oblique_angle",
			"size",
			"text_size",
			"width_factor",
			"eed",
			"handle",
			"ownerhandle",
			"xref"
		],
		"STYLE_CONTROL": ["bitsize", "index", "object", "size", "entries", "handle", "ownerhandle"],
		"TABLESTYLE": [
			"_subclass",
			"bitsize",
			"flags",
			"flow_direction",
			"horiz_cell_margin",
			"index",
			"is_header_suppressed",
			"is_title_suppressed",
			"is_title_suppressed",
			"num_unknown_bits",
			"object",
			"size",
			"unknown_bits",
			"vert_cell_margin",
			"handle",
			"ownerhandle",
			"reactors",
			"rowstyles",
			"xdicobjhandle"
		],
		"TABLESTYLE.rowstyles": ["has_bgcolor", "text_alignment", "text_height", "borders", "fill_color", "text_color", "text_style"],
		"TABLESTYLE.rowstyles.borders": ["linewt", "visible", "color"],
		"UCS_CONTROL": ["bitsize", "index", "object", "size", "handle", "ownerhandle"],
		"VIEW_CONTROL": ["bitsize", "index", "object", "size", "handle", "ownerhandle"],
		"VISUALSTYLE": [
			"_subclass",
			"bitsize",
			"display_brightness_bl",
			"display_settings",
			"display_shadow_type",
			"edge_color",
			"edge_crease_angle",
			"edge_do_hide_precision",
			"edge_halo_gap",
			"edge_intersection_color",
			"edge_intersection_ltype",
			"edge_isolines",
			"edge_jitter",
			"edge_model",
			"edge_modifier",
			"edge_obscured_color",
			"edge_obscured_ltype",
			"edge_opacity",
			"edge_overhang",
			"edge_silhouette_color",
			"edge_silhouette_width",
			"edge_style",
			"edge_style_apply",
			"edge_width",
			"face_color_mode",
			"face_lighting_model",
			"face_lighting_quality",
			"face_modifier",
			"face_mono_color",
			"face_opacity",
			"face_specular",
			"index",
			"internal_only",
			"object",
			"size",
			"style_type",
			"eed",
			"handle",
			"ownerhandle",
			"reactors",
			"xdicobjhandle"
		],
		"VPORT": [
			"FASTZOOM",
			"GRIDMODE",
			"SNAPANG",
			"SNAPISOPAIR",
			"SNAPMODE",
			"SNAPSTYLE",
			"UCSFOLLOW",
			"UCSICON",
			"UCSORTHOVIEW",
			"UCSVP",
			"VIEWMODE",
			"VIEWSIZE",
			"aspect_ratio",
			"back_clip_z",
			"bitsize",
			"circle_zoom",
			"front_clip_z",
			"index",
			"is_xref_dep",
			"is_xref_ref",
			"is_xref_resolved",
			"lens_length",
			"object",
			"render_mode",
			"size",
			"ucs_at_origin",
			"ucs_elevation",
			"view_twist",
			"view_width",
			"GRIDUNIT",
			"SNAPBASE",
			"SNAPUNIT",
			"VIEWCTR",
			"VIEWDIR",
			"base_ucs",
			"handle",
			"lower_left",
			"named_ucs",
			"ownerhandle",
			"ucsorg",
			"ucsxdir",
			"ucsydir",
			"upper_right",
			"view_target",
			"xref"
		],
		"VPORT_CONTROL": ["bitsize", "index", "object", "size", "entries", "handle", "ownerhandle", "xdicobjhandle"],
		"VX_CONTROL": ["_subclass", "bitsize", "index", "object", "size", "handle", "ownerhandle"],
		"XRECORD": ["bitsize", "cloning", "index", "object", "size", "xdata_size", "handle", "ownerhandle", "reactors", "xdata"]
	}
}
